Package tigase.db.util.importexport

# Class ImportXMLHandler

java.lang.Object
tigase.db.util.importexport.ImportXMLHandler

All Implemented Interfaces:
  `SimpleHandler`

public class ImportXMLHandler extends Object implements SimpleHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportXMLHandler(Importer importer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `elementCData(StringBuilder stringBuilder)`
  `boolean`
  `endElement(StringBuilder stringBuilder)`
  `void`
  `error(String s)`
  `void`
  `otherXML(StringBuilder other)`
  `Object`
  `restoreParserState()`
  `void`
  `saveParserState(Object o)`
  `void`
  `startElement(StringBuilder name, StringBuilder[] att_names, StringBuilder[] att_values)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImportXMLHandler

    public ImportXMLHandler(Importer importer)

- ## Method Details

  - ### error

    public void error(String s)
    Specified by:
      `error` in interface `SimpleHandler`

  - ### startElement

    public void startElement(StringBuilder name, StringBuilder[] att_names, StringBuilder[] att_values)
    Specified by:
      `startElement` in interface `SimpleHandler`

  - ### elementCData

    public void elementCData(StringBuilder stringBuilder)
    Specified by:
      `elementCData` in interface `SimpleHandler`

  - ### endElement

    public boolean endElement(StringBuilder stringBuilder)
    Specified by:
      `endElement` in interface `SimpleHandler`

  - ### otherXML

    public void otherXML(StringBuilder other)
    Specified by:
      `otherXML` in interface `SimpleHandler`

  - ### saveParserState

    public void saveParserState(Object o)
    Specified by:
      `saveParserState` in interface `SimpleHandler`

  - ### restoreParserState

    public Object restoreParserState()
    Specified by:
      `restoreParserState` in interface `SimpleHandler`